Bug 186793 - fc5 creative audigy driver not working?
fc5 creative audigy driver not working?
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-26 09:59 EST by mnemo
Modified: 2015-01-04 17:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-21 02:29:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description mnemo 2006-03-26 09:59:57 EST
Description of problem:

My sound did not work after installing FC5. I have a Creative Audigy soundcard
(this card is both not new and also very common).
Comment 1 Knut-Håvard Aksnes 2006-04-18 08:45:31 EDT
This is also the case for me I have a Audigy 2 ZS Notebook PCMCIA (Should be
supported from Alsa 1.0.11rc2 onwards by the snd-emu10k1 driver.
Comment 2 Vova 2006-04-19 17:03:29 EDT
The solution was found there: http://www.tretyak.com/article7.html
Go to "Volume Control", there choose edit/preferences, and select "Audigy
Analog/Digital Output Jack". Then go to "Switches", and unselect "Audigy
Analog/Digital Output Jack". It should help!
Comment 3 Knut-Håvard Aksnes 2006-04-20 09:04:13 EDT
The previous solution from  http://www.tretyak.com/article7.html doesn't work
for me with the Notebook PCMCIA card. This card used to hang the kernel for
earlier versions of the driver and it was explicitly disabled by kernel code.
When the correct card initialization were discovered the card could be enabled
and some support for it (enough for basic usage) were developed just before
Christmas. The card have been supported with some notes from 1.0.11 r2.
Comment 4 Oliver Smith 2006-04-29 05:15:34 EDT
FYI: This is very much a newbie-trap. During installation, you correctly
configure the card so that analog users like myself get sound. Then we start up
and we get no sounds. We run Pup, and the sound configuration tools change
radically. FC5 now sports:

System > Preferences > More Preferences > Multimedia Systems Detector
System > Preferences > Sound
System > Preferences > Volume Control
System > Administration > Sound Card Detection

The solution in the link provides sound only after the user has logged in. It
has to be replicated for each user, and resultingly it means you get no login
sound, amongst others.

The default setting to "silence my soundcard" seems to be a poor choice of
default option.

The collection of related by disparate configuration tools for sound appears to
be an attempt to make Microsoft proud ;)
Comment 5 Knut-Håvard Aksnes 2006-07-13 11:29:32 EDT
Thr Audigy2 ZS Notebook card used to hang up the kernel before a card
initialization problem was solved just before cristmas last year, the first
working driver were as far as I remember part of Alsa 1.0.11rc2. To avoid this
card hanging up the kernel the card were explicitly blocked by the kernel during
hardware detection. I suspect that the patch doing this blocking is still in
place in the fedora kernels and that this is the reason why the card isn't detected.
Comment 6 Dave Jones 2006-10-16 13:43:27 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 7 Knut-Håvard Aksnes 2006-10-18 06:44:23 EDT
The Audigy2 ZS Notebook now works with the restrictions known uppstream.

The following is from the souncard matrix at http://www.alsa-project.org:

Digital/Analog input does not work yet. Needs more development work.

Note You need to log in before you can comment on or make changes to this bug.